Ask Your Question
0

Install on Ubuntu 16.04 fails

asked 2017-01-23 09:37:36 -0500

thealy gravatar image

updated 2017-01-23 09:50:43 -0500

gvdhoorn gravatar image

Hello-

I'm trying to install ros-desktop-full and have tried several times ending in the same error. There are dependency problems reported as --configure fails for several sub-components. Here is the first encountered:

sudo apt-get install ros-desktop-full

.....OK so far...numerous packages downloaded and installed...

Setting up ros-kinetic-pcl-msgs (0.2.0-0xenial-20161026-182630-0700) ...
dpkg: dependency problems prevent configuration of ros-kinetic-pcl-conversions:
 ros-kinetic-pcl-conversions depends on libpcl-dev; however:
  Package libpcl-dev is not configured yet.
 ros-kinetic-pcl-conversions depends on libpcl1.7; however:
  Package libpcl1.7 is not configured yet.

dpkg: error processing package ros-kinetic-pcl-conversions (--configure):
 dependency problems - leaving unconfigured

....etc.

Then a string of similar failures where --configure fails

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2017-02-07 17:14:48 -0500

tfoote gravatar image

You appear to be mixing debian upstream packages ros-desktop-full with OSRF hosted packages ros-kinetic-pcl-msgs It is not recommended to mix those.

http://wiki.ros.org/UpstreamPackages

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2017-01-23 09:37:36 -0500

Seen: 433 times

Last updated: Feb 07 '17